[Pkg-utopia-commits] r1307 - in packages/experimental/consolekit: .
debian
Michael Biebl
biebl at alioth.debian.org
Thu Mar 29 01:28:48 CET 2007
Author: biebl
Date: 2007-03-29 00:28:48 +0000 (Thu, 29 Mar 2007)
New Revision: 1307
Added:
packages/experimental/consolekit/debian/
packages/experimental/consolekit/debian/README.Debian
packages/experimental/consolekit/debian/changelog
packages/experimental/consolekit/debian/compat
packages/experimental/consolekit/debian/consolekit.init
packages/experimental/consolekit/debian/consolekit.install
packages/experimental/consolekit/debian/control
packages/experimental/consolekit/debian/copyright
packages/experimental/consolekit/debian/libck-connector-dev.install
packages/experimental/consolekit/debian/libck-connector0.install
packages/experimental/consolekit/debian/libpam-ck-connector.install
packages/experimental/consolekit/debian/rules
packages/experimental/consolekit/debian/watch
Log:
Initial packaging of ConsoleKit.
Property changes on: packages/experimental/consolekit/debian
___________________________________________________________________
Name: mergeWithUpstream
+ 1
Added: packages/experimental/consolekit/debian/README.Debian
===================================================================
--- packages/experimental/consolekit/debian/README.Debian 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/README.Debian 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,8 @@
+ConsoleKit for Debian
+---------------------
+
+ConsoleKit allows to track seats and sessions. It either needs integration
+into the login manager, like gdm, or it can go through a pam module.
+Install the package libpam-ck-connector for that.
+
+ -- Michael Biebl <biebl at debian.org> Thu, 29 Mar 2007 01:38:27 +0200
Added: packages/experimental/consolekit/debian/changelog
===================================================================
--- packages/experimental/consolekit/debian/changelog 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/changelog 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,6 @@
+consolekit (0.2.1~git20070319-1) experimental; urgency=low
+
+ * Initial release. (Closes: #123456)
+
+ -- Michael Biebl <biebl at debian.org> Thu, 29 Mar 2007 01:38:27 +0200
+
Added: packages/experimental/consolekit/debian/compat
===================================================================
--- packages/experimental/consolekit/debian/compat 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/compat 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1 @@
+5
Added: packages/experimental/consolekit/debian/consolekit.init
===================================================================
--- packages/experimental/consolekit/debian/consolekit.init 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/consolekit.init 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,127 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: ConsoleKit
+# Required-Start: $local_fs dbus
+# Required-Stop: $local_fs dbus
+# Default-Start: 2 3 4 5
+# Default-Stop: S 0 1 6
+# Short-Description: ConsoleKit daemon
+# Description: The ConsoleKit maintains a list of sessions,
+# seats and users
+### END INIT INFO
+
+# Author: Michael Biebl <biebl at teco.edu>
+#
+
+DESC="ConsoleKit daemon"
+NAME=console-kit-daemon
+DAEMON=/usr/sbin/$NAME
+DAEMON_ARGS=""
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/consolekit
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/consolekit ] && . /etc/default/consolekit
+
+# Load the VERBOSE setting and other rcS variables
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+ $DAEMON_ARGS \
+ || return 2
+ # Add code here, if necessary, that waits for the process to be ready
+ # to handle requests from services started subsequently which depend
+ # on this one. As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+#
+# Send a SIGUSR1 to polkitd to reload/update its configuration
+#
+do_reload() {
+ start-stop-daemon --stop --signal USR1 --quiet --pidfile $PIDFILE --exec $DAEMON
+ return 0
+}
+
+case "$1" in
+ start)
+ log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) log_end_msg 0 ;;
+ 2) log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) log_end_msg 0 ;;
+ 2) log_end_msg 1 ;;
+ esac
+ ;;
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC" "$NAME"
+ do_reload
+ log_end_msg $?
+ ;;
+ restart)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
Property changes on: packages/experimental/consolekit/debian/consolekit.init
___________________________________________________________________
Name: svn:executable
+ *
Added: packages/experimental/consolekit/debian/consolekit.install
===================================================================
--- packages/experimental/consolekit/debian/consolekit.install 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/consolekit.install 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,5 @@
+debian/tmp/etc/dbus-1/system.d/ConsoleKit.conf
+debian/tmp/usr/bin/ck-list-sessions
+debian/tmp/usr/lib/consolekit/ck-get-x11-server-pid
+debian/tmp/usr/lib/consolekit/ck-collect-session-info
+debian/tmp/usr/sbin/console-kit-daemon
Added: packages/experimental/consolekit/debian/control
===================================================================
--- packages/experimental/consolekit/debian/control 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/control 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,58 @@
+Source: consolekit
+Section: admin
+Priority: optional
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers at lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl at debian.org>
+Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libdbus-glib-1-dev (>= 0.30), libglib2.0-dev (>= 2.7.0), libgtk2.0-dev (>= 2.8.0), xmlto, libpam0g-dev
+Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/experimental/consolekit
+XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/experimental/consolekit
+
+Package: consolekit
+Section: admin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, dbus
+Recommends: libpam-ck-connector
+Description: framework for defining and tracking users, sessions and seats
+ ConsoleKit is a system daemon for tracking what users are logged
+ into the system and how they interact with the computer (e.g.
+ which keyboard and mouse they use).
+ .
+ It provides asynchronous notification via the system message bus.
+ .
+ This package provides the system daemon and tools to interact with it.
+
+Package: libck-connector0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ConsoleKit libraries
+ ConsoleKit is a system daemon for tracking what users are logged
+ into the system and how they interact with the computer (e.g.
+ which keyboard and mouse they use).
+ .
+ This package provides libraries.
+
+Package: libck-connector-dev
+Section: libdevel
+Architecture: any
+Depends: libck-connector0 (= ${binary:Version}), libdbus-1-dev
+Description: ConsoleKit development files
+ ConsoleKit is a system daemon for tracking what users are logged
+ into the system and how they interact with the computer (e.g.
+ which keyboard and mouse they use).
+ .
+ This package provides the development libraries and headers.
+
+Package: libpam-ck-connector
+Section: admin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ConsoleKit PAM module
+ ConsoleKit is a system daemon for tracking what users are logged
+ into the system and how they interact with the computer (e.g.
+ which keyboard and mouse they use).
+ .
+ This package provides a PAM module which can be used for console logins.
+ Graphical login managers should talk to the ConsoleKit directly.
+
Added: packages/experimental/consolekit/debian/copyright
===================================================================
--- packages/experimental/consolekit/debian/copyright 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/copyright 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,33 @@
+This package was debianized by Michael Biebl <biebl at debian.org> on
+Thu, 29 Mar 2007 01:38:27 +0200.
+
+It was downloaded from http://people.freedesktop.org/~mccann/dist/.
+
+Upstream Author:
+ William Jon McCann <mccann at jhu.edu>
+
+Copyright:
+ Copyright (C) 2006 William Jon McCann <mccann at jhu.edu>
+
+License:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is (C) 2007, Michael Biebl <biebl at debian.org> and
+is licensed under the GPL, see above.
+
Added: packages/experimental/consolekit/debian/libck-connector-dev.install
===================================================================
--- packages/experimental/consolekit/debian/libck-connector-dev.install 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/libck-connector-dev.install 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,4 @@
+debian/tmp/usr/lib/libck-connector.{so,a}
+debian/tmp/usr/lib/pkgconfig/
+debian/tmp/usr/include/ConsoleKit/ck-connector/
+debian/tmp/usr/share/doc/ConsoleKit-0.2.1/spec/ConsoleKit.html usr/share/doc/libck-connector-dev/
Added: packages/experimental/consolekit/debian/libck-connector0.install
===================================================================
--- packages/experimental/consolekit/debian/libck-connector0.install 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/libck-connector0.install 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1 @@
+debian/tmp/usr/lib/libck-connector.so.*
Added: packages/experimental/consolekit/debian/libpam-ck-connector.install
===================================================================
--- packages/experimental/consolekit/debian/libpam-ck-connector.install 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/libpam-ck-connector.install 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,2 @@
+debian/tmp/lib/security/pam_ck_connector.so
+debian/tmp/usr/share/man/man8/pam_ck_connector.8
Added: packages/experimental/consolekit/debian/rules
===================================================================
--- packages/experimental/consolekit/debian/rules 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/rules 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/utils.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-pam-module \
+ --enable-docbook-docs \
+ --with-pid-file=/var/run/console-kit-daemon.pid
+
+# Start after dbus / stop before dbus
+DEB_DH_INSTALLINIT_ARGS := -- start 21 2 3 4 5 . stop 19 0 1 6 .
+
Property changes on: packages/experimental/consolekit/debian/rules
___________________________________________________________________
Name: svn:executable
+ *
Added: packages/experimental/consolekit/debian/watch
===================================================================
--- packages/experimental/consolekit/debian/watch 2007-03-28 23:44:55 UTC (rev 1306)
+++ packages/experimental/consolekit/debian/watch 2007-03-29 00:28:48 UTC (rev 1307)
@@ -0,0 +1,2 @@
+version=3
+http://people.freedesktop.org/~mccann/dist/ConsoleKit-(.*)\.tar\.gz
More information about the Pkg-utopia-commits
mailing list